<?
ini_set('display_errors',0);
include_once("inclydings/sesi.php");
include_once("inclydings/ini.php");
include_once("inclydings/antixak.php");
include_once("inclydings/antixss.php");
include_once("inclydings/antidos.php");
include_once("inclydings/sql.php");
$stop_injection = new InitVars();
$stop_injection->checkVars();
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
$privs = @file("L2dbnam/esql2db/msg/$log.msg");
$totals = count($privs);
if($totals==""){ $totals="0"; }
if(@file("L2dbnam/esql2db/wml/$log.dat")){
echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="/images/style.css" type="text/css" /><div class="pages">';}else{
echo '<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>::LinEagE2::</title><link href="images/wml.css" rel="stylesheet"type="text/css" />

</head><body><table>
<tr>
<td class="lt1"></td><td class="t1"></td><td class="rt1"></td>
</tr>
<tr>
<td class="l"></td>
<td class="centertd"><div class="pages">';}
////////////////////////////////////////////////////////
if (isset($user)) {
list($msec,$sec)=explode(chr(32),microtime());
$gtime=$sec+$msec;
////////////////////// BLOCK ///////////////////////////////
$banfi = @file("L2dbnam/esql2db/blocked/$log.dat"); 
$bandat = explode("||",$banfi[0]);
$akto=$bandat[0];
$azasho=$bandat[3];
$akada=$bandat[1];
if ($banfi!==false) {
echo "<b>Ваш персонаж заблокирован!!!</b><br />";
echo'Причина блока: '.$azasho.'<br />Заблокировал: '.$akto.'<br />Дата: '.$akada.'<br/><br />';
echo" <a href=\"blockkol.php?$sd\">Перевод Coin of Luck</a><br/>";
echo" <a href=\"blockpers.php?$sd\">Разблокировка персонажа</a><br/>";
echo" <a href=\"index.php?$sd\">Выход</a><br/>";include 'inclydings/nogi.php'; exit;}
include("inclydings/check2.php");
include("inclydings/opit.php");
include("inclydings/lvl.php");
include("inclydings/regeneration.php");
include_once("inclydings/winolimpiads.php");
include_once("inclydings/winolimpiads2.php");
include_once("inclydings/olimprassvet.php");
include_once("inclydings/bishop.php");
$time=date("H:i");
if($time>="23:59"){
$newlog="0:||:";
$fp=fopen("L2dbnam/esql2db/newlog.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$newlog\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
if($udata[34]=="0"){
if($udata[2]=="M" && $udata[26]=="human")echo"<img src=pik4erspic/mini/human.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="human")echo"<img src=pik4erspic/mini/human2.gif><br/>";
if($udata[2]=="M" && $udata[26]=="kamael")echo"<img src=pik4erspic/mini/kamael.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="kamael")echo"<img src=pik4erspic/mini/kamael2.gif><br/>";
if($udata[2]=="M" && $udata[26]=="ork")echo"<img src=pik4erspic/mini/ork.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="ork")echo"<img src=pik4erspic/mini/ork2.gif><br/>";
if($udata[2]=="M" && $udata[26]=="elf")echo"<img src=pik4erspic/mini/elf.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="elf")echo"<img src=pik4erspic/mini/elf2.gif><br/>";
if($udata[2]=="M" && $udata[26]=="darkelf")echo"<img src=pik4erspic/mini/darkelf.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="darkelf")echo"<img src=pik4erspic/mini/darkelf2.gif><br/>";
if($udata[2]=="M" && $udata[26]=="gnom")echo"<img src=pik4erspic/mini/gnom.gif><br/>";
if($udata[2]=="Ж" && $udata[26]=="gnom")echo"<img src=pik4erspic/mini/gnom2.gif><br/>";
echo"<a href=\"uslugi.php?$sd\">$udata[9] lvl</a> -_- <a href=\"search.php?$sd&go=go&nick=$log\">$log</a><br/>";
echo"<img src=\"cp.php?$sd\" alt=\"CP: $udata[42]/$udata[43]\"/><br/>";
echo"<img src=\"hp.php?$sd\" alt=\"HP: $udata[16]/$udata[17]\"/><br/>";
echo"<img src=\"mp.php?$sd\" alt=\"MP: $udata[29]/$udata[30]\"/><br/>";
echo"<img src=\"exp.php?$sd\" alt=\"EXP: $exp %\"/><br/>";
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
echo"<img src=pik4erspic/mini/time.png alt=pic>Время: ".date("H:i:s")."<br>";
echo"<img src=pik4erspic/mini/calendar.png alt=pic>Дата: $data<br/>";
echo"<hr>";
if($udata[18]==""){echo " <b><center>Сохранность персонажа!</center></b><br/><font color=\"red\"><b>$log: </b></font> Вам нужно установить @mail для дальнейшей игры,в случае если вы потеряете пароль вы сможете его восстановить. <br/><br/><li><a href=\"newmail.php?$sd\">Установить</a><br/><br/>";}
if($udata[97]>1){echo " Вестник:<br/><font color=\"red\"><b>$log </b></font> У вас есть свободные<br/> aктивные  и пасивные навыки: <br/><a href=\"skills.php?$sd\"><img src=pik4erspic/mini/w.png alt=+>Распределить active<img src=pik4erspic/mini/w.png alt=+></a><br/><br><a href=\"skillspas.php?$sd\"><img src=pik4erspic/mini/w.png alt=+>Распределить passive<img src=pik4erspic/mini/w.png alt=+></a><br></br>";}
}else{
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$time=date("H:i:s");
echo'<a href="search.php?'.$sd.'&go=go&nick='.$log.'">'.$log.'</a> ['.$udata[9].']<br/>
<font color="#ADFF2F">CP: '.number_format($udata[42]).'/'.number_format($udata[43]).'</font><br/>
<font color="#FF0000">HP: '.number_format($udata[16]).'/'.number_format($udata[17]).'</font><br/>
<font color="#6495ED">MP: '.number_format($udata[29]).'/'.number_format($udata[30]).'</font><br/>
EXP: '.$exp.' %<br/>
Время: '.$time.'<br/>
Дата: '.$data.'<br/>';
echo"<hr>";}

if(@file("L2dbnam/esql2db/wolf/$log.dat")){
$file = @file("L2dbnam/esql2db/wolf/$log.dat");
$data = explode("||",$file[0]);
$time=time()-3600;
if($data[1]<=$time){
if($data[2]!=="off"){echo"Волк исчез<br/>";}
$text="$data[0]||$data[1]||off||";
$fp=fopen("L2dbnam/esql2db/wolf/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}
}

if(@file("L2dbnam/esql2db/send/$log.dat")){
$fal = @file("L2dbnam/esql2db/send/$log.dat");
$udata = explode(":||:",$fal[0]);
echo"$udata[1] перечислил вам $udata[0] <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/><br/>";
unlink("L2dbnam/esql2db/send/$log.dat");}
if(@file("L2dbnam/esql2db/sendcol/$log.dat")){
$fal = @file("L2dbnam/esql2db/sendcol/$log.dat");
$udata = explode(":||:",$fal[0]);
echo"$udata[1] перечислил вам $udata[0] <img src='pik4erspic/mini/gold.gif' alt='pic'/><br/><br/>";
unlink("L2dbnam/esql2db/sendcol/$log.dat");}
if(@file("L2dbnam/esql2db/sendgold/$log.dat")){
$fal = @file("L2dbnam/esql2db/sendgold/$log.dat");
$udata = explode(":||:",$fal[0]);
echo"$udata[1] перечислил вам $udata[0] <img src='pik4erspic/mini/gold1.png' alt='pic'/><br/><br/>";
unlink("L2dbnam/esql2db/sendgold/$log.dat");}
if(@file("L2dbnam/esql2db/rek/$log.dat")){
$fal = @file("L2dbnam/esql2db/rek/$log.dat");
$udata = explode("||",$fal[0]);
echo"$udata[0].<br/><br/>";
unlink("L2dbnam/esql2db/rek/$log.dat");}
///////////////////////////////БОЙ/////////////////////////

$adres = $_SERVER['SCRIPT_NAME'];
if($adres!=="/inventar.php" && $adres!=="/itemweapon.php" && $adres!=="/itemshlem.php" && $adres!=="/itemhelmets.php" && $adres!=="/itemnogi.php" && $adres!=="/itemlek.php" && $adres!=="/itemall.php"){
if(@file("L2dbnam/esql2db/tmp/$log.dat")){echo"Вы находитесь в бою,вы неможете Cбежать!!!<br/>
<a href=\"ok.php?$sd\">Вернуться</a>"; include_once"inclydings/down.php"; exit;}}
//////////////////////////РЫБАЛКА//////////////////////////////

if(@file("L2dbnam/esql2db/fish/$log.dat")){echo"Вы на рыбалке. Уйти невозможно.<br/><a href=\"fish.php?$sd&go=ulov\">Вернутьса</a>"; include"inclydings/down.php"; exit;}
if(@file("L2dbnam/esql2db/kirka/$log.dat")){echo"Вы находитесь в шахте вы неможете уйти!"; include"inclydings/down.php"; exit;}
if(@file("L2dbnam/esql2db/pi4era/$log.dat")){echo"Вы находитесь в пещере вы неможете уйти!"; include"inclydings/down.php"; exit;}

//////////////////////////////ПАТИ//////////////////////////

if(@file("L2dbnam/esql2db/paty/tmp/$log.dat")){
$fa = @file("L2dbnam/esql2db/paty/tmp/$log.dat");
$uu = explode(":||:",$fa[0]);
if($uu[2]=="time"){
echo"<b>$uu[0] - $uu[1] (lvl) предлагает вам пати<br/><a

href=\"paty.php?go=ok&$sd\">Да</a> | <a

href=\"paty.php?go=no&$sd\">Нет</a><br/><br/></b>";}}
if(@file("L2dbnam/esql2db/paty/$log.dat")){
$fa = @file("L2dbnam/esql2db/paty/$log.dat");
$ua = explode(":||:",$fa[0]);
if($ua[2]=="yes"){echo"Вы в пати: с <a

href=\"search.php?$sd&nick=$ua[0]&go=go\">$ua[0]</a>- $ua[1] (lvl)

<br/>";$text =

@file("L2dbnam/esql2db/reg/$ua[0].dat");
$dattas2 = explode(":||:",$text[0]);
echo"CP - $dattas2[42]/$dattas2[43]<br/>";
echo"HP - $dattas2[16]/$dattas2[17]<br/>";
echo"MP - $dattas2[29]/$dattas2[30]<br/>";
echo"<a href=\"paty.php?go=del&$sd\">Выйти из пати</a><br/><br/>";
}
}
//////////////////////////////БАФФЫ2////////////////////////////////////////
if(@file("L2dbnam/esql2db/baffklan/$log.dat")){
$file = @file("L2dbnam/esql2db/baffklan/$log.dat");
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-1800;
$ost=$data[2]-$time;
$ost2=@date("i",$ost);
echo"<small>$data[0] - $ost2 минут</small><br/>";

if($data[2]<="$time"){

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

if($data[0]=="Клан Бафф [+500]"){
$udata[3]=$udata[3]-$data[1];}
if($data[0]=="Бафф Клана [+500]"){
$udata[4]=$udata[4]-$data[1];}

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/baffklan/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}}
echo"<hr>";}
////////////////////////////////КАРТИНКИ///////////////////////////////////
if($udata[34]=="1"){
function img2($image2) {return eregi_replace("((<img src)[-a-zA-Z0-9@:%_\+.~#?;&//=\)/\"\ >]+)","", $image2);} ob_start("img2");
function img($image) {return eregi_replace("((<img src)[-a-zA-Z0-9@:%_\+.~#?;&//=\)/\"\ >]+<br/>)","", $image);} ob_start("img");
}
////////////////////////////////КЛАНЫ///////////////////////////////////
if($udata[22]>="1"){echo"<img src=\"images/mail.png\" alt=pic> Новых сообщений:"; echo"<a href=\"privat.php?$sd\"> $udata[22]</a><br/><br/>";}
if(@file("L2dbnam/esql2db/clan/tmp/$log.dat")){
$fa = @file("L2dbnam/esql2db/clan/tmp/$log.dat");
$clan = explode(":||:",$fa[0]);
echo"Лидер клана $clan[0] предлагает вступить в клан $clan[2]. Вы согласны?<br/><a href=\"clan.php?go=del&$sd&go=ok&uzer=$clan[0]\">Да</a> | <a href=\"clan.php?go=del&$sd&go=del\">Нет</a><br/><br/>";
}
//////////////////////////////////////////////////////////////////////
include_once"inclydings/who.php";
////////////////////////////////АЛЬЯНС///////////////////////////////////
if(@file("L2dbnam/esql2db/ali/tmp/$log.dat")){
$fa = @file("L2dbnam/esql2db/ali/tmp/$log.dat");
$clan = explode(":||:",$fa[0]);
echo"Лидер альянса $clan[0] предлагает вступить в альянс. Вы согласны?<br/><a href=\"ali.php?go=del&$sd&go=ok&uzer=$clan[0]\">Да</a> | <a href=\"ali.php?go=del&$sd&go=del\">Нет</a><br/><br/>";
}
///////////////////////Продажа///////////////////////////////////////////////
if(@file("L2dbnam/esql2db/sellruk/$log.dat")){echo"<br/>Вы продаете вещи! Вы не можете уйти!<br/><a href=\"sellruktime.php?$sd\">Вернуться</a>"; include_once"inclydings/down.php"; exit;}
if(@file("L2dbnam/esql2db/sellrukcol/$log.dat")){echo"<br/>Вы продаете вещи! Вы не можете уйти!<br/><a href=\"sellruktimecoin.php?$sd\">Вернуться</a>"; include_once"inclydings/down.php"; exit;}
if(@file("L2dbnam/esql2db/sellrukgolds/$log.dat")){echo"<br/>Вы продаете вещи! Вы не можете уйти!<br/><a href=\"sellruktimegold.php?$sd\">Вернуться</a>"; include_once"inclydings/down.php"; exit;}
//////////////////////////////БАФФЫ////////////////////////////////////////
if(@file("L2dbnam/esql2db/baff/$log.dat")){
$file = @file("L2dbnam/esql2db/baff/$log.dat");
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-1800;
$ost=$data[2]-$time;
$ost2=@date("i",$ost);
echo"<small>$data[0] - $ost2 минут</small><br/>";

if($data[2]<="$time"){

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

if($data[0]=="Бафф Защиты [+100]/[Осталось]"){
$udata[3]=$udata[3]-$data[1];}
if($data[0]=="Бафф Атаки [+100]/[Осталось]"){
$udata[4]=$udata[4]-$data[1];}

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/baff/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}}
echo"<hr>";}
//////////////////////////////БАФФЫ////////////////////////////////////////
if(@file("L2dbnam/esql2db/baffmag/$log.dat")){
$file = @file("L2dbnam/esql2db/baffmag/$log.dat");
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-1800;
$ost=$data[2]-$time;
$ost2=@date("i",$ost);
echo"<small>$data[0] - $ost2 минут</small><br/>";

if($data[2]<="$time"){

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

if($data[0]=="armor"){
$udata[3]=$udata[3]-$data[1];}
if($data[0]=="weapon"){
$udata[4]=$udata[4]-$data[1];}

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/baffmag/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}}
echo"<hr>";}
///////////////////////////////////////////////////////////////////////////////
}

?>